#ifndef FEEDBACKCREATION_H
#define FEEDBACKCREATION_H

#include <QGraphicsObject>
#include <QGraphicsView>

class Cursor;


class FeedbackCreation : public QGraphicsObject
{
    Q_OBJECT
    Q_PROPERTY(float stickyCursorAnim READ getStickyCursorAnim WRITE setStickyCursorAnim)
    Q_PROPERTY(QPointF cursorPosAnim READ getCursorPos WRITE setCursorPos)

private:
    QPointF cursorPos;
    QPointF controlPos;
    QPointF cursorBegin;
    QPointF controlBegin;
    bool valid;
    float stickyCursorValue;
    QColor color;

public:
    FeedbackCreation();
    void setColor(QColor col) { color = col; }

    float getStickyCursorAnim(){return stickyCursorValue;}
    void setStickyCursorAnim(float sc){stickyCursorValue = sc;}
    QPointF getCursorPos(){return cursorPos;}
    void setCursorPos(QPointF cp){cursorPos = cp;}

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

    void beginFingers(QPointF cursor, QPointF widget);
    void updateControl(QPointF widget);
    void updateCursor(QPointF cursor);
    void releaseControl(QPointF widget);
    void releaseCursor(QPointF cursor);

signals:
    void gestureCancelled();
    void gesturePerformed(QPointF widget, QPointF cursor);
};

#endif // FEEDBACKCREATION_H
