#ifndef KEYBOARDWIDGET_H
#define KEYBOARDWIDGET_H

#include "abstractwidget.h"
#include <QGraphicsView>


class KeyboardWidget : public AbstractWidget
{
    Q_OBJECT
public:
    explicit KeyboardWidget(GhostView *g, QPointF widgetPos, float px2mmScreen);
    
    QPainterPath shape() const;
    void underPaint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    bool sceneEvent(QEvent *event);

    void setUpper() { upper = true; }
    void setLower() { upper = false; }
    bool isUpper() { return upper; }

    QPointF getFocusPos() { return cursors.begin().value()->pos(); }
    void activeFocusPos() { cursors.begin().value()->setLeftClick(true);
                            cursors.begin().value()->setLeftClick(false); }
private:
    bool upper;
signals:
    
public slots:
    
};

#endif // KEYBOARDWIDGET_H
