#ifndef KEYRECT_H
#define KEYRECT_H

#include <QGraphicsRectItem>
class KeyboardWidget;


class KeyRect : public QGraphicsRectItem
{
public:
    KeyRect(qreal x, qreal y, qreal w, qreal h, KeyboardWidget *parent = 0);
    static void resetKeyIndex() { index = 0; }

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

private:
    KeyboardWidget *keyboard;
    static int index;
    static char* keys[14*5+3];
    static char* upkeys[14*5+3];
    static int vkcodes[14*5+3];
    char* key, *upkey;
    int vkcode;
    bool touched;

    bool sceneEvent(QEvent *event);
};

#endif // KEYRECT_H
