#ifndef MINGETFRAME_H
#define MINGETFRAME_H

#include <QGraphicsObject>
#include <QGraphicsView>
#include <QTouchEvent>

class AbstractWidget;
class MingetClose;
class MingetSettings;
class MingetIconify;

class MingetFrame : public QGraphicsObject
{
private:
    AbstractWidget *controlWidget;

    MingetClose *minClose;
    MingetSettings *minSettings;
    MingetIconify *minIconify;

    float x_width, y_height;
    float oldWidth, oldHeight;
    float ratio;

    bool settingsOn;
    bool iconifyOn;
    int mode;
    int border;

public:
    MingetFrame(AbstractWidget *widget, QSize dim = QSize(400,300));

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    bool sceneEvent(QEvent *event);

    float getWidth(){ return x_width; }
    float getHeight(){ return y_height; }
    void toggleSettings(){ settingsOn = !settingsOn; update(); }
    void toggleIconify();
    bool isIconify() { return iconifyOn; }
};

#endif // MINGETFRAME_H
