#ifndef SOFTTOUCHPAD_H
#define SOFTTOUCHPAD_H

#include "abstractwidget.h"
#include <QGraphicsView>

class GhostView;
class Cursor;

class SoftTouchpad : public AbstractWidget
{
    Q_OBJECT
private:
    bool controlMouse;
    bool directTouch;
    QMap<int, QTimer *> timerClickList;
    QTimer *timerClutch;
    QMap<int, QPointF> clickPosition;

public:
    SoftTouchpad(GhostView *g, QColor col, QPointF widgetPos, QPointF cursorPos, QSize dim);

    QPainterPath shape() const;
    void underPaint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    bool sceneEvent(QEvent *event);
public slots:
    void startCursel();
    void stopCursel();
};

#endif // SOFTTOUCHPAD_H
